Subject: Re: [PATCH 2.6.21-rt2] PowerPC: decrementer clockevent driver

From: Matt Sealey <[email-masked]>
Date: Fri, 18 May 2007 13:39:26 +0100

Sergei Shtylyov wrote:
> Hello.
> 
> Kumar Gala wrote:
> 
>>> Kumar Gala wrote:
> 
>>>> I haven't looked at all the new clock/timer code, is there any   
>>>> utility in having support for more than one clock source?
> 
>>>    Of course, you may register as many as you like.
> 
>> Sure, but is there any utility in registering more than the  decrementer 
>> on PPC?
> 
>     Not yet. I'm not sure I know any other PPC CPU facility fitting for 
> clockevents. In theory, FIT could be used -- but its period is measured in 
> powers of 2, IIRC.

Wouldn't it be possible to use SoC timer functionality, too, and not limit
this to what is only present on the CPU die?

I guess the real question is, how high resolution does a high resolution
timer need to be, and how often do you want to be handling interrupts?

The 52XX has 8 general purpose timers and 2 slice timers. Both will
generate an interrupt once the clock hits a preset value, the timing
of which is determined by prescalers and the IPB clock..

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations